#!/bin/sh -e

PROGNAME="ppp"
SRCDIR="${PWD}"
INSDIR="${PWD}/ins"

export BUILD_CC="gcc"
export CC="arm-linux-gcc"
export CXX="arm-linux-g++"
export AS="arm-linux-as"
export LD="arm-linux-ld"
export AR="arm-linux-ar"
export NM="arm-linux-nm"
export RANLIB="arm-linux-ranlib"
export STRIP="arm-linux-strip"

echo "**** Configuring ${PROGNAME}..."
"${SRCDIR}/configure"

echo "**** Building ${PROGNAME}..."
make -s

echo "**** Installing ${PROGNAME}..."
make -s install DESTDIR="${INSDIR}"

echo "**** Stripping ${PROGNAME} binaries..."
find "${INSDIR}" -type f | xargs file | grep "ARM, .*, not stripped" | cut -d: -f1 | xargs -r ${STRIP}

echo "**** Successfully built & installed ${PROGNAME}:"
ls -l "${INSDIR}/usr/sbin/pppd"

# EOF
